"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VERBOSE_ENV_KEY = exports.DEFAULT_PORT = exports.DEFAULT_PLATFORMS = exports.DEFAULT_HOSTNAME = void 0;
exports.isVerbose = isVerbose;
const VERBOSE_ENV_KEY = exports.VERBOSE_ENV_KEY = 'REPACK_VERBOSE';

/**
 * Default development server hostname.
 * Allows for listening for connections from all network interfaces.
 */
const DEFAULT_HOSTNAME = exports.DEFAULT_HOSTNAME = 'localhost';

/** Default development server port. */
const DEFAULT_PORT = exports.DEFAULT_PORT = 8081;

/** Default development server platforms. */
const DEFAULT_PLATFORMS = exports.DEFAULT_PLATFORMS = ['android', 'ios'];

/**
 * Checks if code is running in verbose mode.
 *
 * @returns True if running in verbose mode.
 *
 * @internal
 */
function isVerbose() {
  return Boolean(process.env[VERBOSE_ENV_KEY]);
}
//# sourceMappingURL=env.js.map