import fs from 'fs-extra';
import rspack from '@rspack/core';
import { InfrastructureLogger } from '../../../types';
export declare class AssetsCopyProcessor {
    readonly config: {
        platform: string;
        outputPath: string;
        bundleOutput: string;
        bundleOutputDir: string;
        sourcemapOutput: string;
        assetsDest: string;
        logger: InfrastructureLogger;
    };
    private filesystem;
    queue: Array<() => Promise<void>>;
    constructor(config: {
        platform: string;
        outputPath: string;
        bundleOutput: string;
        bundleOutputDir: string;
        sourcemapOutput: string;
        assetsDest: string;
        logger: InfrastructureLogger;
    }, filesystem?: Pick<typeof fs, 'ensureDir' | 'copyFile' | 'readFile' | 'writeFile'>);
    private copyAsset;
    enqueueChunk(chunk: rspack.StatsChunk, { isEntry, sourceMapFile }: {
        isEntry: boolean;
        sourceMapFile?: string;
    }): void;
    execute(): Promise<void>[];
}
